Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures
Class TouchGestureRecognizer

    java.lang.Object
      com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.TouchGestureRecognizer

Direct Known Subclasses:
  ButtonTapRecognizer, DragRecognizer, MultiFingerTapRecognizer, PinchRecognizer, TapRecognizer, TouchMouseEventsConverter

    public abstract class TouchGestureRecognizer

extends Object

The base class for all touch gesture recognizers.

Author:
  Maryanovsky Alexander

Field Summary
`protected HandlerManager` | `handlerManager` The manager of handlers.

Constructor Summary
`TouchGestureRecognizer(Object firedEventsSource)` Creates a new `TouchGestureRecognizer` which will dispatch events with the specified source object.
`TouchGestureRecognizer(Object eventSource, H touchEventsSource)` Creates a new `TouchGestureRecognizer` which will dispatch events with the specified source object.

Method Summary
`protected void` | `fireEvent(GwtEvent<?> event)` Fires the specified event to all its handlers.
`protected void` | `onTouchCancel(TouchCancelEvent evt)` Invoked when a touch event is canceled.
`protected void` | `onTouchEnd(TouchEndEvent evt)` Invoked when a finger touching the screen is lifted.
`protected void` | `onTouchMove(TouchMoveEvent evt)` Invoked when a finger touching the screen is moved.
`protected void` | `onTouchStart(TouchStartEvent evt)` Invoked when a touch starts.
`
`<H extends HasTouchStartHandlers & HasTouchMoveHandlers & HasTouchEndHandlers & HasTouchCancelHandlers> void`
` | `setTouchEventsSource(H touchEventsSource)` Sets the source of touch events for this recognizer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handlerManager

    protected final HandlerManager handlerManager

  The manager of handlers.

Constructor Detail

### TouchGestureRecognizer

    public TouchGestureRecognizer(Object firedEventsSource)

  Creates a new `TouchGestureRecognizer` which will dispatch events with the specified source object.

### TouchGestureRecognizer

    public TouchGestureRecognizer(Object eventSource,
                                  H touchEventsSource)

  Creates a new `TouchGestureRecognizer` which will dispatch events with the specified source object. Additionally, you may pass the source of touch events.

Method Detail

### setTouchEventsSource

    public <H extends HasTouchStartHandlers & HasTouchMoveHandlers & HasTouchEndHandlers & HasTouchCancelHandlers> void setTouchEventsSource(H touchEventsSource)

  Sets the source of touch events for this recognizer. Passing `null` will cause the recognizer to deregister itself from the previous source.

### fireEvent

    protected void fireEvent(GwtEvent<?> event)

  Fires the specified event to all its handlers.

### onTouchStart

    protected void onTouchStart(TouchStartEvent evt)

  Invoked when a touch starts.

### onTouchMove

    protected void onTouchMove(TouchMoveEvent evt)

  Invoked when a finger touching the screen is moved.

### onTouchEnd

    protected void onTouchEnd(TouchEndEvent evt)

  Invoked when a finger touching the screen is lifted.

### onTouchCancel

    protected void onTouchCancel(TouchCancelEvent evt)

  Invoked when a touch event is canceled.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD